Index: tests/Tesselations/defs.in
===================================================================
--- tests/Tesselations/defs.in	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ tests/Tesselations/defs.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -59,13 +59,13 @@
 	fi
 	#echo "Molecuilder done with exitcode $exitcode."
+	cd ../..
 	#cat stderr
 	#cat stdout
-        grep -E "^[0-9]* [0-9]* [0-9]*$" ../../@srcdir@/$mol/$2/${FILENAME}-$mol.dat | sort -n >reference-triangles.dat
-        grep -E "^[0-9]* [0-9]* [0-9]*$" ${FILENAME}.dat | sort -n >new-triangles.dat
-        diff reference-triangles.dat new-triangles.dat 2>diffstderr >diffstdout || exitcode=$?
+        grep -E "^[0-9]* [0-9]* [0-9]*$" @srcdir@/$mol/$2/${FILENAME}-$mol.dat | sort -n >$testdir/$RADIUS/reference-triangles.dat
+        grep -E "^[0-9]* [0-9]* [0-9]*$" $testdir/$RADIUS/${FILENAME}.dat | sort -n >$testdir/$RADIUS/new-triangles.dat
+        diff $testdir/$RADIUS/reference-triangles.dat $testdir/$RADIUS/new-triangles.dat 2>$testdir/$RADIUS/diffstderr >$testdir/$RADIUS/diffstdout || exitcode=$?
 	#echo "Diff done with exitcode $exitcode."
 	#cat diffstderr
 	#cat diffstdout
-	cd ../..
 	test $exitcode = $expected_exitcode || exit 1
 }
Index: tests/Tesselations/heptan/1.5/NonConvexEnvelope-heptan.dat
===================================================================
--- tests/Tesselations/heptan/1.5/NonConvexEnvelope-heptan.dat	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ tests/Tesselations/heptan/1.5/NonConvexEnvelope-heptan.dat	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -1,5 +1,5 @@
 TITLE = "3D CONVEX SHELL"
 VARIABLES = "X" "Y" "Z" "U"
-ZONE T="heptan", N=23, E=64, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+ZONE T="none", N=23, E=64, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
 -7.27e-07 -1.22006 0.930455 18.7229
 -7.27e-07 -1.22006 -0.849545 18.7229
@@ -7,9 +7,9 @@
 -1.2492 0.921941 -0.849545 18.7227
 1.2492 0.921941 -0.849545 18.7222
-1.2492 0.921941 0.930455 27.0641
--2.4985 -1.22006 -0.849545 19.9769
--2.4985 -1.22006 0.930455 27.4727
-2.4985 -1.22006 0.930455 19.9769
-2.4985 -1.22006 -0.849545 27.4727
+1.2492 0.921941 0.930455 18.7222
+-2.4985 -1.22006 -0.849545 27.4727
+-2.4985 -1.22006 0.930455 19.9769
+2.4985 -1.22006 0.930455 27.4727
+2.4985 -1.22006 -0.849545 19.9769
 -4.6377 -0.336759 0.0404545 21.541
 -3.7477 0.921941 0.930455 18.8853
@@ -17,12 +17,12 @@
 4.6377 -0.336759 0.0404545 10.6618
 3.7477 0.921941 -0.849545 18.5406
-3.7477 0.921941 0.930455 12.1988
+3.7477 0.921941 0.930455 18.5406
 -7.27e-07 -0.590759 0.0404545 23.0174
 -1.2492 0.292641 0.0404545 23.0167
-1.2492 0.292641 0.0404545 20.1632
+1.2492 0.292641 0.0404545 23.0172
 -2.4985 -0.590759 0.0404545 18.9798
 2.4985 -0.590759 0.0404545 18.9798
 -3.7477 0.292641 0.0404545 39.5267
-3.7477 0.292641 0.0404545 23.2512
+3.7477 0.292641 0.0404545 20.5497
 
 14 15 23
@@ -34,4 +34,6 @@
 15 19 23
 5 15 19
+16 19 23
+6 16 19
 5 6 19
 5 6 19
@@ -42,20 +44,18 @@
 3 4 18
 3 4 18
+3 18 22
+3 12 22
 4 18 22
 4 13 22
-3 18 22
-3 12 22
 12 13 22
 12 13 22
-6 19 23
-6 16 23
+11 12 22
+11 12 22
+8 11 22
+8 12 22
 11 13 22
 11 13 22
 7 11 22
 7 13 22
-11 12 22
-11 12 22
-8 11 22
-8 12 22
 14 16 23
 14 16 23
@@ -76,16 +76,16 @@
 9 10 21
 9 14 21
-10 17 21
-2 10 17
+9 17 21
+1 9 17
 1 2 17
 1 2 17
-1 17 21
-1 9 21
-2 17 20
-2 7 20
+2 17 21
+2 10 21
+1 17 20
+1 8 20
 7 8 20
 7 8 20
+8 11 20
 7 11 20
-8 11 20
-8 17 20
-1 8 17
+7 17 20
+2 7 17
Index: tests/regression/Domain/6/post/test-x.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test-x.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,24 +1,0 @@
-22
-	Created by molecuilder on Mon May 31 19:07:16 2010
-H	9.78209	2.64589	2.64589
-C	27.2836	3.27519	3.53589
-C	28.5328	4.15859	3.53589
-C	29.7821	3.27519	3.53589
-H	27.2836	2.64589	4.42589
-H	9.78209	2.64589	4.42589
-H	10.672	3.90454	3.53589
-H	8.53279	4.78789	2.64589
-H	27.2836	2.64589	2.64589
-H	26.3936	3.90454	3.53589
-H	28.5328	4.78789	4.42589
-H	28.5328	4.78789	2.64589
-H	30.672	3.90454	3.53589
-H	29.7821	2.64589	4.42589
-H	29.7821	2.64589	2.64589
-H	8.53279	4.78789	4.42589
-H	6.39363	3.90454	3.53589
-H	7.28359	2.64589	2.64589
-H	7.28359	2.64589	4.42589
-C	9.78209	3.27519	3.53589
-C	8.53279	4.15859	3.53589
-C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-x.xyz
===================================================================
--- tests/regression/Domain/6/post/test-x.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Domain/6/post/test-x.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,24 @@
+22
+	Created by molecuilder on Mon May 31 19:07:16 2010
+H	9.78209	2.64589	2.64589
+C	27.2836	3.27519	3.53589
+C	28.5328	4.15859	3.53589
+C	29.7821	3.27519	3.53589
+H	27.2836	2.64589	4.42589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	27.2836	2.64589	2.64589
+H	26.3936	3.90454	3.53589
+H	28.5328	4.78789	4.42589
+H	28.5328	4.78789	2.64589
+H	30.672	3.90454	3.53589
+H	29.7821	2.64589	4.42589
+H	29.7821	2.64589	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-y.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test-y.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,24 +1,0 @@
-22
-	Created by molecuilder on Mon May 31 19:07:16 2010
-H	9.78209	2.64589	2.64589
-C	7.28359	23.2752	3.53589
-C	8.53279	24.1586	3.53589
-C	9.78209	23.2752	3.53589
-H	7.28359	22.6459	4.42589
-H	9.78209	2.64589	4.42589
-H	10.672	3.90454	3.53589
-H	8.53279	4.78789	2.64589
-H	7.28359	22.6459	2.64589
-H	6.39363	23.9045	3.53589
-H	8.53279	24.7879	4.42589
-H	8.53279	24.7879	2.64589
-H	10.672	23.9045	3.53589
-H	9.78209	22.6459	4.42589
-H	9.78209	22.6459	2.64589
-H	8.53279	4.78789	4.42589
-H	6.39363	3.90454	3.53589
-H	7.28359	2.64589	2.64589
-H	7.28359	2.64589	4.42589
-C	9.78209	3.27519	3.53589
-C	8.53279	4.15859	3.53589
-C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-y.xyz
===================================================================
--- tests/regression/Domain/6/post/test-y.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Domain/6/post/test-y.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,24 @@
+22
+	Created by molecuilder on Mon May 31 19:07:16 2010
+H	9.78209	2.64589	2.64589
+C	7.28359	23.2752	3.53589
+C	8.53279	24.1586	3.53589
+C	9.78209	23.2752	3.53589
+H	7.28359	22.6459	4.42589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	7.28359	22.6459	2.64589
+H	6.39363	23.9045	3.53589
+H	8.53279	24.7879	4.42589
+H	8.53279	24.7879	2.64589
+H	10.672	23.9045	3.53589
+H	9.78209	22.6459	4.42589
+H	9.78209	22.6459	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-z.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test-z.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,24 +1,0 @@
-22
-	Created by molecuilder on Mon May 31 19:07:16 2010
-H	9.78209	2.64589	2.64589
-C	7.28359	3.27519	23.5359
-C	8.53279	4.15859	23.5359
-C	9.78209	3.27519	23.5359
-H	7.28359	2.64589	24.4259
-H	9.78209	2.64589	4.42589
-H	10.672	3.90454	3.53589
-H	8.53279	4.78789	2.64589
-H	7.28359	2.64589	22.6459
-H	6.39363	3.90454	23.5359
-H	8.53279	4.78789	24.4259
-H	8.53279	4.78789	22.6459
-H	10.672	3.90454	23.5359
-H	9.78209	2.64589	24.4259
-H	9.78209	2.64589	22.6459
-H	8.53279	4.78789	4.42589
-H	6.39363	3.90454	3.53589
-H	7.28359	2.64589	2.64589
-H	7.28359	2.64589	4.42589
-C	9.78209	3.27519	3.53589
-C	8.53279	4.15859	3.53589
-C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test-z.xyz
===================================================================
--- tests/regression/Domain/6/post/test-z.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Domain/6/post/test-z.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,24 @@
+22
+	Created by molecuilder on Mon May 31 19:07:16 2010
+H	9.78209	2.64589	2.64589
+C	7.28359	3.27519	23.5359
+C	8.53279	4.15859	23.5359
+C	9.78209	3.27519	23.5359
+H	7.28359	2.64589	24.4259
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	7.28359	2.64589	22.6459
+H	6.39363	3.90454	23.5359
+H	8.53279	4.78789	24.4259
+H	8.53279	4.78789	22.6459
+H	10.672	3.90454	23.5359
+H	9.78209	2.64589	24.4259
+H	9.78209	2.64589	22.6459
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test.conf.xyz
===================================================================
--- tests/regression/Domain/6/post/test.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,13 +1,0 @@
-11
-	Created by molecuilder on Mon May 31 19:21:12 2010
-H	9.78209	2.64589	2.64589
-H	9.78209	2.64589	4.42589
-H	10.672	3.90454	3.53589
-H	8.53279	4.78789	2.64589
-H	8.53279	4.78789	4.42589
-H	6.39363	3.90454	3.53589
-H	7.28359	2.64589	2.64589
-H	7.28359	2.64589	4.42589
-C	9.78209	3.27519	3.53589
-C	8.53279	4.15859	3.53589
-C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/6/post/test.xyz
===================================================================
--- tests/regression/Domain/6/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Domain/6/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Mon May 31 19:21:12 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Fragmentation/2/post/BondFragment0.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment0.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	9.78209	3.27519	3.53589	
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	8.89211	3.9045	3.53589	
-H	10.672	3.90454	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment0.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment0.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Fragmentation/2/post/BondFragment0.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	9.78209	3.27519	3.53589	
+H	9.78209	2.64589	2.64589	
+H	9.78209	2.64589	4.42589	
+H	8.89211	3.9045	3.53589	
+H	10.672	3.90454	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment1.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment1.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	8.53279	4.15859	3.53589	
-H	7.64283	3.52924	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	9.42276	3.52927	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment1.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment1.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Fragmentation/2/post/BondFragment1.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	8.53279	4.15859	3.53589	
+H	7.64283	3.52924	3.53589	
+H	8.53279	4.78789	2.64589	
+H	8.53279	4.78789	4.42589	
+H	9.42276	3.52927	3.53589	
Index: tests/regression/Fragmentation/2/post/BondFragment2.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment2.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,7 +1,0 @@
-5
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	7.28359	3.27519	3.53589	
-H	8.17354	3.90454	3.53589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment2.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment2.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Fragmentation/2/post/BondFragment2.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,7 @@
+5
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	7.28359	3.27519	3.53589	
+H	8.17354	3.90454	3.53589	
+H	6.39363	3.90454	3.53589	
+H	7.28359	2.64589	2.64589	
+H	7.28359	2.64589	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment3.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment3.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,10 +1,0 @@
-8
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	7.64283	3.52924	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment3.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment3.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Fragmentation/2/post/BondFragment3.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	9.78209	3.27519	3.53589	
+C	8.53279	4.15859	3.53589	
+H	9.78209	2.64589	2.64589	
+H	9.78209	2.64589	4.42589	
+H	10.672	3.90454	3.53589	
+H	7.64283	3.52924	3.53589	
+H	8.53279	4.78789	2.64589	
+H	8.53279	4.78789	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment4.conf.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment4.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,10 +1,0 @@
-8
-	Created by molecuilder on Tue Oct  6 19:01:29 2009
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	9.42276	3.52927	3.53589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
Index: tests/regression/Fragmentation/2/post/BondFragment4.xyz
===================================================================
--- tests/regression/Fragmentation/2/post/BondFragment4.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Fragmentation/2/post/BondFragment4.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder on Tue Oct  6 19:01:29 2009
+C	8.53279	4.15859	3.53589	
+C	7.28359	3.27519	3.53589	
+H	8.53279	4.78789	2.64589	
+H	8.53279	4.78789	4.42589	
+H	9.42276	3.52927	3.53589	
+H	6.39363	3.90454	3.53589	
+H	7.28359	2.64589	2.64589	
+H	7.28359	2.64589	4.42589	
Index: tests/regression/Molecules/6/post/test2.conf
===================================================================
--- tests/regression/Molecules/6/post/test2.conf	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Molecules/6/post/test2.conf	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,83 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	10	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	10	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	10	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	10	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	10	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	8	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	3	6	1.0	3	3	12.01100000000	Carbon	C
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	8.782085945	1.645886050	1.645886050	0 # molecule nr 0
+Ion_Type1_2	8.782085945	1.645886050	3.425886024	0 # molecule nr 1
+Ion_Type1_3	9.672039608	2.904536878	2.535886037	0 # molecule nr 2
+Ion_Type1_4	7.532785963	3.787886018	1.645886050	0 # molecule nr 3
+Ion_Type1_5	7.532785963	3.787886018	3.425886024	0 # molecule nr 4
+Ion_Type1_6	5.393632318	2.904536877	2.535886037	0 # molecule nr 5
+Ion_Type1_7	6.283585982	1.645886050	1.645886050	0 # molecule nr 6
+Ion_Type1_8	6.283585982	1.645886050	3.425886024	0 # molecule nr 7
+Ion_Type2_1	8.782085945	2.275186040	2.535886037	0 # molecule nr 8
+Ion_Type2_2	7.532785963	3.158586027	2.535886037	0 # molecule nr 9
+Ion_Type2_3	6.283585982	2.275186040	2.535886037	0 # molecule nr 10
Index: tests/regression/Molecules/6/pre/test2.conf
===================================================================
--- tests/regression/Molecules/6/pre/test2.conf	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Molecules/6/pre/test2.conf	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,83 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	8	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	3	6	1.0	3	3	12.01100000000	Carbon	C
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	9.782085945	2.645886050	2.645886050	0 # molecule nr 0
+Ion_Type1_2	9.782085945	2.645886050	4.425886024	0 # molecule nr 1
+Ion_Type1_3	10.672039608	3.904536878	3.535886037	0 # molecule nr 2
+Ion_Type1_4	8.532785963	4.787886018	2.645886050	0 # molecule nr 3
+Ion_Type1_5	8.532785963	4.787886018	4.425886024	0 # molecule nr 4
+Ion_Type1_6	6.393632318	3.904536877	3.535886037	0 # molecule nr 5
+Ion_Type1_7	7.283585982	2.645886050	2.645886050	0 # molecule nr 6
+Ion_Type1_8	7.283585982	2.645886050	4.425886024	0 # molecule nr 7
+Ion_Type2_1	9.782085945	3.275186040	3.535886037	0 # molecule nr 8
+Ion_Type2_2	8.532785963	4.158586027	3.535886037	0 # molecule nr 9
+Ion_Type2_3	7.283585982	3.275186040	3.535886037	0 # molecule nr 10
Index: tests/regression/Simple_configuration/2/post/test.conf.in
===================================================================
--- tests/regression/Simple_configuration/2/post/test.conf.in	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,24 +1,0 @@
-% Created by MoleCuilder
-mpqc: (
-	savestate = no
-	do_gradient = yes
-	mole<MBPT2>: (
-		maxiter = 200
-		basis = $:basis
-		molecule = $:molecule
-		reference<CLHF>: (
-			basis = $:basis
-			molecule = $:molecule
-		)
-	)
-)
-molecule<Molecule>: (
-	unit = angstrom
-	{ atoms geometry } = {
-		H [ 0	0	0 ]
-	}
-)
-basis<GaussianBasisSet>: (
-	name = "3-21G"
-	molecule = $:molecule
-)
Index: tests/regression/Simple_configuration/2/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/2/post/test.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,3 +1,0 @@
-1
-	Created by molecuilder on Tue Oct  6 18:34:23 2009
-H	10	10	10
Index: tests/regression/Simple_configuration/2/post/test.in
===================================================================
--- tests/regression/Simple_configuration/2/post/test.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/2/post/test.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,24 @@
+% Created by MoleCuilder
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		maxiter = 200
+		basis = $:basis
+		molecule = $:molecule
+		reference<CLHF>: (
+			basis = $:basis
+			molecule = $:molecule
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		H [ 0	0	0 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Simple_configuration/2/post/test.xyz
===================================================================
--- tests/regression/Simple_configuration/2/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/2/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Simple_configuration/3/post/test.conf.in
===================================================================
--- tests/regression/Simple_configuration/3/post/test.conf.in	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,24 +1,0 @@
-% Created by MoleCuilder
-mpqc: (
-	savestate = no
-	do_gradient = yes
-	mole<MBPT2>: (
-		maxiter = 200
-		basis = $:basis
-		molecule = $:molecule
-		reference<CLHF>: (
-			basis = $:basis
-			molecule = $:molecule
-		)
-	)
-)
-molecule<Molecule>: (
-	unit = angstrom
-	{ atoms geometry } = {
-		H [ 0	0	0 ]
-	}
-)
-basis<GaussianBasisSet>: (
-	name = "3-21G"
-	molecule = $:molecule
-)
Index: tests/regression/Simple_configuration/3/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/3/post/test.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,3 +1,0 @@
-1
-	Created by molecuilder on Tue Oct  6 18:34:23 2009
-H	10	10	10
Index: tests/regression/Simple_configuration/3/post/test.in
===================================================================
--- tests/regression/Simple_configuration/3/post/test.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/3/post/test.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,24 @@
+% Created by MoleCuilder
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		maxiter = 200
+		basis = $:basis
+		molecule = $:molecule
+		reference<CLHF>: (
+			basis = $:basis
+			molecule = $:molecule
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		H [ 0	0	0 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Simple_configuration/3/post/test.xyz
===================================================================
--- tests/regression/Simple_configuration/3/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/3/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	10	10	10
Index: tests/regression/Simple_configuration/3/post/test2.conf
===================================================================
--- tests/regression/Simple_configuration/3/post/test2.conf	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/3/post/test2.conf	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,72 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		1	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	1	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	0.000000000	0.000000000	-1.000000000	0 # molecule nr 0
Index: tests/regression/Simple_configuration/3/post/test2.in
===================================================================
--- tests/regression/Simple_configuration/3/post/test2.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/3/post/test2.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,24 @@
+% Created by MoleCuilder
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		maxiter = 200
+		basis = $:basis
+		molecule = $:molecule
+		reference<CLHF>: (
+			basis = $:basis
+			molecule = $:molecule
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+		H [ 0	0	0 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Simple_configuration/3/post/test2.xyz
===================================================================
--- tests/regression/Simple_configuration/3/post/test2.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/3/post/test2.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on Tue Oct  6 18:34:23 2009
+H	0	0	-1
Index: tests/regression/Simple_configuration/4/post/test.conf
===================================================================
--- tests/regression/Simple_configuration/4/post/test.conf	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,72 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	2	# check every ..th steps
-MaxMinGapStopStep	1	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	2	# check every ..th steps
-InitMaxMinGapStopStep	1	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-20	
-0	20	
-0	0	20	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	2	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	2	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	2	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	1	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	1	6	1.0	3	3	12.01100000000	Carbon	C
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
Index: tests/regression/Simple_configuration/4/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/4/post/test.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,3 +1,0 @@
-1
-	Created by molecuilder on Tue Oct  6 18:31:23 2009
-C	10	10	10
Index: tests/regression/Simple_configuration/4/post/test.xyz
===================================================================
--- tests/regression/Simple_configuration/4/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/4/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on
+C	10	10	10
Index: tests/regression/Simple_configuration/4/pre/test.conf
===================================================================
--- tests/regression/Simple_configuration/4/pre/test.conf	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,72 +1,0 @@
-# ParallelCarParinello - main configuration file - created with molecuilder
-
-mainname	pcp	# programm name (for runtime files)
-defaultpath	not specified	# where to put files during runtime
-pseudopotpath	not specified	# where to find pseudopotentials
-
-ProcPEGamma	8	# for parallel computing: share constants
-ProcPEPsi	1	# for parallel computing: share wave functions
-DoOutVis	0	# Output data for OpenDX
-DoOutMes	1	# Output data for measurements
-DoOutOrbitals	0	# Output all Orbitals
-DoOutCurr	0	# Ouput current density for OpenDx
-DoOutNICS	0	# Output Nucleus independent current shieldings
-DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
-DoFullCurrent	0	# Do full perturbation
-DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
-Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
-CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
-SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
-VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
-VectorCut	0	# Cut plane axis value
-AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
-Seed		1	# initial value for random seed for Psi coefficients
-
-MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
-Deltat	0.01	# time per MD step
-OutVisStep	10	# Output visual data every ...th step
-OutSrcStep	5	# Output "restart" data every ..th step
-TargetTemp	0.000950045	# Target temperature
-MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
-EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
-
-# Values specifying when to stop
-MaxMinStep	100	# Maximum number of steps
-RelEpsTotalE	1e-07	# relative change in total energy
-RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	0	# check every ..th steps
-MaxMinGapStopStep	0	# check every ..th steps
-
-# Values specifying when to stop for INIT, otherwise same as above
-MaxInitMinStep	100	# Maximum number of steps
-InitRelEpsTotalE	1e-05	# relative change in total energy
-InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	0	# check every ..th steps
-InitMaxMinGapStopStep	0	# check every ..th steps
-
-BoxLength			# (Length of a unit cell)
-20	
-0	20	
-0	0	20	
-
-ECut		128	# energy cutoff for discretization in Hartrees
-MaxLevel	5	# number of different levels in the code, >=2
-Level0Factor	2	# factor by which node number increases from S to 0 level
-RiemannTensor	0	# (Use metric)
-PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
-AddPsis		0	# Additional unoccupied Psis for bandgap determination
-
-RCut		20	# R-cut for the ewald summation
-StructOpt	0	# Do structure optimization beforehand
-IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
-RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
-MaxTypes	1	# maximum number of different ion types
-
-# Ion type data (PP = PseudoPotential, Z = atomic number)
-#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
-Ion_Type1	1	1	1.0	3	3	1.00800000000	Hydrogen	H
-#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
-Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
Index: tests/regression/Simple_configuration/4/pre/test.xyz
===================================================================
--- tests/regression/Simple_configuration/4/pre/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/4/pre/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on
+H	10	10	10
Index: tests/regression/Simple_configuration/5/post/test.conf.in
===================================================================
--- tests/regression/Simple_configuration/5/post/test.conf.in	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,23 +1,0 @@
-% Created by MoleCuilder
-mpqc: (
-	savestate = no
-	do_gradient = yes
-	mole<MBPT2>: (
-		maxiter = 200
-		basis = $:basis
-		molecule = $:molecule
-		reference<CLHF>: (
-			basis = $:basis
-			molecule = $:molecule
-		)
-	)
-)
-molecule<Molecule>: (
-	unit = angstrom
-	{ atoms geometry } = {
-	}
-)
-basis<GaussianBasisSet>: (
-	name = "3-21G"
-	molecule = $:molecule
-)
Index: tests/regression/Simple_configuration/5/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/5/post/test.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,2 +1,0 @@
-0
-	Created by molecuilder on Tue Oct  6 19:18:13 2009
Index: tests/regression/Simple_configuration/5/post/test.in
===================================================================
--- tests/regression/Simple_configuration/5/post/test.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/5/post/test.in	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,23 @@
+% Created by MoleCuilder
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<MBPT2>: (
+		maxiter = 200
+		basis = $:basis
+		molecule = $:molecule
+		reference<CLHF>: (
+			basis = $:basis
+			molecule = $:molecule
+		)
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ atoms geometry } = {
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Simple_configuration/5/post/test.xyz
===================================================================
--- tests/regression/Simple_configuration/5/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/5/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,2 @@
+0
+	Created by molecuilder on Tue Oct  6 19:18:13 2009
Index: tests/regression/Simple_configuration/8/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/8/post/test.conf.xyz	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ 	(revision )
@@ -1,146 +1,0 @@
-144
-	Created by molecuilder on Mon May 31 18:50:20 2010
-H	9.78209	2.64589	2.64589
-H	9.78209	2.64589	4.42589
-H	10.672	3.90454	3.53589
-H	8.53279	4.78789	2.64589
-H	8.53279	4.78789	4.42589
-H	6.39363	3.90454	3.53589
-H	7.28359	2.64589	2.64589
-H	7.28359	2.64589	4.42589
-H	0.758602	2.85714	3.86571
-H	0.758602	2.85714	2.85714
-H	0.758602	2.85714	5.71429
-H	0.758602	5.71429	3.86571
-H	0.758602	5.71429	2.85714
-H	3.61574	0	1.00857
-H	3.61574	0	0
-H	3.61574	0	3.86571
-H	3.61574	0	2.85714
-H	3.61574	0	6.72285
-H	3.61574	0	5.71429
-H	3.61574	2.85714	1.00857
-H	3.61574	2.85714	0
-H	3.61574	2.85714	3.86571
-H	3.61574	2.85714	2.85714
-H	3.61574	2.85714	6.72285
-H	3.61574	2.85714	5.71429
-H	3.61574	2.85714	8.57143
-H	3.61574	5.71429	1.00857
-H	3.61574	5.71429	0
-H	3.61574	5.71429	3.86571
-H	3.61574	5.71429	2.85714
-H	3.61574	5.71429	6.72285
-H	3.61574	5.71429	5.71429
-H	3.61574	5.71429	8.57143
-H	3.61574	8.57143	1.00857
-H	3.61574	8.57143	3.86571
-H	3.61574	8.57143	2.85714
-H	3.61574	8.57143	5.71429
-H	6.47289	0	1.00857
-H	6.47289	0	0
-H	6.47289	0	3.86571
-H	6.47289	0	2.85714
-H	6.47289	0	6.72285
-H	6.47289	0	5.71429
-H	6.47289	0	9.58
-H	6.47289	0	8.57143
-H	6.47289	2.85714	0
-H	6.47289	2.85714	6.72285
-H	6.47289	2.85714	9.58
-H	6.47289	2.85714	8.57143
-H	6.47289	5.71429	1.00857
-H	6.47289	5.71429	0
-H	6.47289	5.71429	6.72285
-H	6.47289	5.71429	5.71429
-H	6.47289	5.71429	9.58
-H	6.47289	5.71429	8.57143
-H	6.47289	8.57143	1.00857
-H	6.47289	8.57143	0
-H	6.47289	8.57143	3.86571
-H	6.47289	8.57143	2.85714
-H	6.47289	8.57143	6.72285
-H	6.47289	8.57143	5.71429
-H	9.33003	0	1.00857
-H	9.33003	0	0
-H	9.33003	0	3.86571
-H	9.33003	0	2.85714
-H	9.33003	0	6.72285
-H	9.33003	0	5.71429
-H	9.33003	0	8.57143
-H	9.33003	2.85714	0
-H	9.33003	2.85714	6.72285
-H	9.33003	2.85714	9.58
-H	9.33003	2.85714	8.57143
-H	9.33003	5.71429	0
-H	9.33003	5.71429	6.72285
-H	9.33003	5.71429	9.58
-H	9.33003	5.71429	8.57143
-H	9.33003	8.57143	1.00857
-H	9.33003	8.57143	0
-H	9.33003	8.57143	3.86571
-H	9.33003	8.57143	2.85714
-H	9.33003	8.57143	6.72285
-H	9.33003	8.57143	5.71429
-H	12.1872	0	1.00857
-H	12.1872	0	0
-H	12.1872	0	3.86571
-H	12.1872	0	2.85714
-H	12.1872	0	6.72285
-H	12.1872	0	5.71429
-H	12.1872	2.85714	1.00857
-H	12.1872	2.85714	0
-H	12.1872	2.85714	6.72285
-H	12.1872	2.85714	5.71429
-H	12.1872	5.71429	1.00857
-H	12.1872	5.71429	0
-H	12.1872	5.71429	3.86571
-H	12.1872	5.71429	2.85714
-H	12.1872	5.71429	6.72285
-H	12.1872	5.71429	5.71429
-C	9.78209	3.27519	3.53589
-C	8.53279	4.15859	3.53589
-C	7.28359	3.27519	3.53589
-O	2.85714	0	0.504284
-O	2.85714	0	3.36143
-O	2.85714	0	6.21857
-O	2.85714	2.85714	0.504284
-O	2.85714	2.85714	3.36143
-O	2.85714	2.85714	6.21857
-O	2.85714	5.71429	0.504284
-O	2.85714	5.71429	3.36143
-O	2.85714	5.71429	6.21857
-O	2.85714	8.57143	3.36143
-O	5.71429	0	0.504284
-O	5.71429	0	3.36143
-O	5.71429	0	6.21857
-O	5.71429	0	9.07571
-O	5.71429	2.85714	0.504284
-O	5.71429	2.85714	6.21857
-O	5.71429	2.85714	9.07571
-O	5.71429	5.71429	0.504284
-O	5.71429	5.71429	6.21857
-O	5.71429	5.71429	9.07571
-O	5.71429	8.57143	0.504284
-O	5.71429	8.57143	3.36143
-O	5.71429	8.57143	6.21857
-O	8.57143	0	0.504284
-O	8.57143	0	3.36143
-O	8.57143	0	6.21857
-O	8.57143	0	9.07571
-O	8.57143	2.85714	0.504284
-O	8.57143	2.85714	9.07571
-O	8.57143	5.71429	0.504284
-O	8.57143	5.71429	9.07571
-O	8.57143	8.57143	0.504284
-O	8.57143	8.57143	3.36143
-O	8.57143	8.57143	6.21857
-O	11.4286	0	0.504284
-O	11.4286	0	3.36143
-O	11.4286	0	6.21857
-O	11.4286	2.85714	0.504284
-O	11.4286	2.85714	6.21857
-O	11.4286	2.85714	9.07571
-O	11.4286	5.71429	0.504284
-O	11.4286	5.71429	6.21857
-O	11.4286	8.57143	3.36143
Index: tests/regression/Simple_configuration/8/post/test.xyz
===================================================================
--- tests/regression/Simple_configuration/8/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/8/post/test.xyz	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,146 @@
+144
+	Created by molecuilder on Mon May 31 18:50:20 2010
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+H	0.758602	2.85714	3.86571
+H	0.758602	2.85714	2.85714
+H	0.758602	2.85714	5.71429
+H	0.758602	5.71429	3.86571
+H	0.758602	5.71429	2.85714
+H	3.61574	0	1.00857
+H	3.61574	0	0
+H	3.61574	0	3.86571
+H	3.61574	0	2.85714
+H	3.61574	0	6.72285
+H	3.61574	0	5.71429
+H	3.61574	2.85714	1.00857
+H	3.61574	2.85714	0
+H	3.61574	2.85714	3.86571
+H	3.61574	2.85714	2.85714
+H	3.61574	2.85714	6.72285
+H	3.61574	2.85714	5.71429
+H	3.61574	2.85714	8.57143
+H	3.61574	5.71429	1.00857
+H	3.61574	5.71429	0
+H	3.61574	5.71429	3.86571
+H	3.61574	5.71429	2.85714
+H	3.61574	5.71429	6.72285
+H	3.61574	5.71429	5.71429
+H	3.61574	5.71429	8.57143
+H	3.61574	8.57143	1.00857
+H	3.61574	8.57143	3.86571
+H	3.61574	8.57143	2.85714
+H	3.61574	8.57143	5.71429
+H	6.47289	0	1.00857
+H	6.47289	0	0
+H	6.47289	0	3.86571
+H	6.47289	0	2.85714
+H	6.47289	0	6.72285
+H	6.47289	0	5.71429
+H	6.47289	0	9.58
+H	6.47289	0	8.57143
+H	6.47289	2.85714	0
+H	6.47289	2.85714	6.72285
+H	6.47289	2.85714	9.58
+H	6.47289	2.85714	8.57143
+H	6.47289	5.71429	1.00857
+H	6.47289	5.71429	0
+H	6.47289	5.71429	6.72285
+H	6.47289	5.71429	5.71429
+H	6.47289	5.71429	9.58
+H	6.47289	5.71429	8.57143
+H	6.47289	8.57143	1.00857
+H	6.47289	8.57143	0
+H	6.47289	8.57143	3.86571
+H	6.47289	8.57143	2.85714
+H	6.47289	8.57143	6.72285
+H	6.47289	8.57143	5.71429
+H	9.33003	0	1.00857
+H	9.33003	0	0
+H	9.33003	0	3.86571
+H	9.33003	0	2.85714
+H	9.33003	0	6.72285
+H	9.33003	0	5.71429
+H	9.33003	0	8.57143
+H	9.33003	2.85714	0
+H	9.33003	2.85714	6.72285
+H	9.33003	2.85714	9.58
+H	9.33003	2.85714	8.57143
+H	9.33003	5.71429	0
+H	9.33003	5.71429	6.72285
+H	9.33003	5.71429	9.58
+H	9.33003	5.71429	8.57143
+H	9.33003	8.57143	1.00857
+H	9.33003	8.57143	0
+H	9.33003	8.57143	3.86571
+H	9.33003	8.57143	2.85714
+H	9.33003	8.57143	6.72285
+H	9.33003	8.57143	5.71429
+H	12.1872	0	1.00857
+H	12.1872	0	0
+H	12.1872	0	3.86571
+H	12.1872	0	2.85714
+H	12.1872	0	6.72285
+H	12.1872	0	5.71429
+H	12.1872	2.85714	1.00857
+H	12.1872	2.85714	0
+H	12.1872	2.85714	6.72285
+H	12.1872	2.85714	5.71429
+H	12.1872	5.71429	1.00857
+H	12.1872	5.71429	0
+H	12.1872	5.71429	3.86571
+H	12.1872	5.71429	2.85714
+H	12.1872	5.71429	6.72285
+H	12.1872	5.71429	5.71429
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
+O	2.85714	0	0.504284
+O	2.85714	0	3.36143
+O	2.85714	0	6.21857
+O	2.85714	2.85714	0.504284
+O	2.85714	2.85714	3.36143
+O	2.85714	2.85714	6.21857
+O	2.85714	5.71429	0.504284
+O	2.85714	5.71429	3.36143
+O	2.85714	5.71429	6.21857
+O	2.85714	8.57143	3.36143
+O	5.71429	0	0.504284
+O	5.71429	0	3.36143
+O	5.71429	0	6.21857
+O	5.71429	0	9.07571
+O	5.71429	2.85714	0.504284
+O	5.71429	2.85714	6.21857
+O	5.71429	2.85714	9.07571
+O	5.71429	5.71429	0.504284
+O	5.71429	5.71429	6.21857
+O	5.71429	5.71429	9.07571
+O	5.71429	8.57143	0.504284
+O	5.71429	8.57143	3.36143
+O	5.71429	8.57143	6.21857
+O	8.57143	0	0.504284
+O	8.57143	0	3.36143
+O	8.57143	0	6.21857
+O	8.57143	0	9.07571
+O	8.57143	2.85714	0.504284
+O	8.57143	2.85714	9.07571
+O	8.57143	5.71429	0.504284
+O	8.57143	5.71429	9.07571
+O	8.57143	8.57143	0.504284
+O	8.57143	8.57143	3.36143
+O	8.57143	8.57143	6.21857
+O	11.4286	0	0.504284
+O	11.4286	0	3.36143
+O	11.4286	0	6.21857
+O	11.4286	2.85714	0.504284
+O	11.4286	2.85714	6.21857
+O	11.4286	2.85714	9.07571
+O	11.4286	5.71429	0.504284
+O	11.4286	5.71429	6.21857
+O	11.4286	8.57143	3.36143
Index: tests/regression/Simple_configuration/8/post/test.xyz-sorted
===================================================================
--- tests/regression/Simple_configuration/8/post/test.xyz-sorted	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
+++ tests/regression/Simple_configuration/8/post/test.xyz-sorted	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -0,0 +1,145 @@
+C	7.28359	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	9.78209	3.27519	3.53589
+H	0.758602	2.85714	2.85714
+H	0.758602	2.85714	3.86571
+H	0.758602	2.85714	5.71429
+H	0.758602	5.71429	2.85714
+H	0.758602	5.71429	3.86571
+H	10.672	3.90454	3.53589
+H	12.1872	0	0
+H	12.1872	0	1.00857
+H	12.1872	0	2.85714
+H	12.1872	0	3.86571
+H	12.1872	0	5.71429
+H	12.1872	0	6.72285
+H	12.1872	2.85714	0
+H	12.1872	2.85714	1.00857
+H	12.1872	2.85714	5.71429
+H	12.1872	2.85714	6.72285
+H	12.1872	5.71429	0
+H	12.1872	5.71429	1.00857
+H	12.1872	5.71429	2.85714
+H	12.1872	5.71429	3.86571
+H	12.1872	5.71429	5.71429
+H	12.1872	5.71429	6.72285
+H	3.61574	0	0
+H	3.61574	0	1.00857
+H	3.61574	0	2.85714
+H	3.61574	0	3.86571
+H	3.61574	0	5.71429
+H	3.61574	0	6.72285
+H	3.61574	2.85714	0
+H	3.61574	2.85714	1.00857
+H	3.61574	2.85714	2.85714
+H	3.61574	2.85714	3.86571
+H	3.61574	2.85714	5.71429
+H	3.61574	2.85714	6.72285
+H	3.61574	2.85714	8.57143
+H	3.61574	5.71429	0
+H	3.61574	5.71429	1.00857
+H	3.61574	5.71429	2.85714
+H	3.61574	5.71429	3.86571
+H	3.61574	5.71429	5.71429
+H	3.61574	5.71429	6.72285
+H	3.61574	5.71429	8.57143
+H	3.61574	8.57143	1.00857
+H	3.61574	8.57143	2.85714
+H	3.61574	8.57143	3.86571
+H	3.61574	8.57143	5.71429
+H	6.39363	3.90454	3.53589
+H	6.47289	0	0
+H	6.47289	0	1.00857
+H	6.47289	0	2.85714
+H	6.47289	0	3.86571
+H	6.47289	0	5.71429
+H	6.47289	0	6.72285
+H	6.47289	0	8.57143
+H	6.47289	0	9.58
+H	6.47289	2.85714	0
+H	6.47289	2.85714	6.72285
+H	6.47289	2.85714	8.57143
+H	6.47289	2.85714	9.58
+H	6.47289	5.71429	0
+H	6.47289	5.71429	1.00857
+H	6.47289	5.71429	5.71429
+H	6.47289	5.71429	6.72285
+H	6.47289	5.71429	8.57143
+H	6.47289	5.71429	9.58
+H	6.47289	8.57143	0
+H	6.47289	8.57143	1.00857
+H	6.47289	8.57143	2.85714
+H	6.47289	8.57143	3.86571
+H	6.47289	8.57143	5.71429
+H	6.47289	8.57143	6.72285
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	9.33003	0	0
+H	9.33003	0	1.00857
+H	9.33003	0	2.85714
+H	9.33003	0	3.86571
+H	9.33003	0	5.71429
+H	9.33003	0	6.72285
+H	9.33003	0	8.57143
+H	9.33003	2.85714	0
+H	9.33003	2.85714	6.72285
+H	9.33003	2.85714	8.57143
+H	9.33003	2.85714	9.58
+H	9.33003	5.71429	0
+H	9.33003	5.71429	6.72285
+H	9.33003	5.71429	8.57143
+H	9.33003	5.71429	9.58
+H	9.33003	8.57143	0
+H	9.33003	8.57143	1.00857
+H	9.33003	8.57143	2.85714
+H	9.33003	8.57143	3.86571
+H	9.33003	8.57143	5.71429
+H	9.33003	8.57143	6.72285
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+O	11.4286	0	0.504284
+O	11.4286	0	3.36143
+O	11.4286	0	6.21857
+O	11.4286	2.85714	0.504284
+O	11.4286	2.85714	6.21857
+O	11.4286	2.85714	9.07571
+O	11.4286	5.71429	0.504284
+O	11.4286	5.71429	6.21857
+O	11.4286	8.57143	3.36143
+O	2.85714	0	0.504284
+O	2.85714	0	3.36143
+O	2.85714	0	6.21857
+O	2.85714	2.85714	0.504284
+O	2.85714	2.85714	3.36143
+O	2.85714	2.85714	6.21857
+O	2.85714	5.71429	0.504284
+O	2.85714	5.71429	3.36143
+O	2.85714	5.71429	6.21857
+O	2.85714	8.57143	3.36143
+O	5.71429	0	0.504284
+O	5.71429	0	3.36143
+O	5.71429	0	6.21857
+O	5.71429	0	9.07571
+O	5.71429	2.85714	0.504284
+O	5.71429	2.85714	6.21857
+O	5.71429	2.85714	9.07571
+O	5.71429	5.71429	0.504284
+O	5.71429	5.71429	6.21857
+O	5.71429	5.71429	9.07571
+O	5.71429	8.57143	0.504284
+O	5.71429	8.57143	3.36143
+O	5.71429	8.57143	6.21857
+O	8.57143	0	0.504284
+O	8.57143	0	3.36143
+O	8.57143	0	6.21857
+O	8.57143	0	9.07571
+O	8.57143	2.85714	0.504284
+O	8.57143	2.85714	9.07571
+O	8.57143	5.71429	0.504284
+O	8.57143	5.71429	9.07571
+O	8.57143	8.57143	0.504284
+O	8.57143	8.57143	3.36143
+O	8.57143	8.57143	6.21857
+144
Index: tests/regression/testsuite-analysis.at
===================================================================
--- tests/regression/testsuite-analysis.at	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ tests/regression/testsuite-analysis.at	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -39,5 +39,5 @@
 AT_KEYWORDS([analysis])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Analysis/4/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -v 3 -I -C S --elements 1 --output-file output.csv --bin-output-file bin_output.csv --bin-start 0 --bin-width 1. --bin-end 20 --molecule-by-id 208], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -v 3 -I -C S --elements 1 --output-file output.csv --bin-output-file bin_output.csv --bin-start 0 --bin-width 1. --bin-end 20 --molecule-by-id 207], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Begin of CorrelationToSurface" stdout], 0, [ignore], [ignore])
 #AT_CHECK([file=output.csv; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Analysis/4/post/$file], 0, [ignore], [ignore])
Index: tests/regression/testsuite-domain.at
===================================================================
--- tests/regression/testsuite-domain.at	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ tests/regression/testsuite-domain.at	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -45,22 +45,22 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf .], 0)
 AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -o xyz -d "1, 1, 1"], 0, [stdout], [stderr])
-AT_CHECK([file=test.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf test-x.conf], 0)
 AT_CHECK([../../molecuilder -i test-x.conf -e ${abs_top_srcdir}/src/ -o xyz -d "2, 1, 1"], 0, [stdout], [stderr])
-AT_CHECK([file=test-x.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-x.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
-AT_CHECK([file=test-x.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf test-y.conf], 0)
 AT_CHECK([../../molecuilder -i test-y.conf -e ${abs_top_srcdir}/src/ -o xyz -d "1, 2, 1"], 0, [stdout], [stderr])
-AT_CHECK([file=test-y.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-y.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
-AT_CHECK([file=test-y.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf test-z.conf], 0)
 AT_CHECK([../../molecuilder -i test-z.conf -e ${abs_top_srcdir}/src/ -o xyz -d "1, 1, 2"], 0, [stdout], [stderr])
-AT_CHECK([file=test-z.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-z.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
-AT_CHECK([file=test-z.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 #AT_CHECK([/bin/false], 12, [ignore], [ignore])
 AT_CLEANUP
Index: tests/regression/testsuite-simple_configuration.at
===================================================================
--- tests/regression/testsuite-simple_configuration.at	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ tests/regression/testsuite-simple_configuration.at	(revision be97a841b19bbe05e88f3d3ac69c9cb5cd562f10)
@@ -18,6 +18,6 @@
 ], [ignore])
 AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/2/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/2/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/2/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/2/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/2/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
@@ -27,10 +27,10 @@
 AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -o mpqc pcp xyz -a 1 --position "10., 10., 10."], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i test2.conf -e ${abs_top_srcdir}/src/ -o mpqc pcp xyz -a 1 --position "0., 0., -1."], 0, [ignore], [ignore])
 AT_CHECK([file=test2.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test2.conf.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test2.conf.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test2.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test2.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
@@ -38,7 +38,7 @@
 AT_SETUP([Simple configuration - Changing element])
 AT_KEYWORDS([configuration])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/4/pre/test.conf test.conf], 0)
-AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -E 0 --element 6], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/4/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/4/pre/test.xyz test.xyz], 0)
+AT_CHECK([../../molecuilder -i test.xyz -e ${abs_top_srcdir}/src/ -E 6 --atom-by-id 0], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/4/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
@@ -49,6 +49,6 @@
 AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -o mpqc pcp xyz -r 0], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
 
@@ -80,6 +80,6 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/pre/test.* .], 0)
 AT_CHECK([../../molecuilder -i test.conf -e ${abs_top_srcdir}/src/ -o xyz -R 7. --position "7.283585982, 3.275186040, 3.535886037"], 0, [stdout], [stderr])
-AT_CHECK([sort -n test.conf.xyz | grep -v "Created by" >test.conf.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/test.conf.xyz  | grep -v "Created by" >${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/test.conf.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/$file], 0, [ignore], [ignore])
+AT_CHECK([sort -n test.xyz | grep -v "Created by" >test.xyz-sorted], 0, [ignore], [ignore])
+AT_CHECK([sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/test.xyz  | grep -v "Created by" >${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/test.xyz-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/$file], 0, [ignore], [ignore])
 AT_CLEANUP
